Bug 9647 - Replace YUI buttons on Z39.50 servers administration page with Bootstrap
Summary: Replace YUI buttons on Z39.50 servers administration page with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL: /cgi-bin/koha/admin/z3950servers.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-16 20:40 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9647 - Replace YUI buttons on Z39.50 servers administration page with Bootstrap (2.83 KB, patch)
2013-02-16 20:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9647 - Replace YUI buttons on Z39.50 servers administration page with Bootstrap (2.91 KB, patch)
2013-02-16 20:56 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 9647 - Replace YUI buttons on Z39.50 servers administration page with Bootstrap (3.00 KB, patch)
2013-02-17 11:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-16 20:40:14 UTC
The toolbar button on the Z39.50 servers administration page is constructed using YUI. It should use Bootstrap instead.
Comment 1 Owen Leonard 2013-02-16 20:42:08 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-16 20:56:50 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-02-17 11:22:20 UTC
Created attachment 15454 [details] [review]
[PASSED QA] Bug 9647 - Replace YUI buttons on Z39.50 servers administration page with Bootstrap

This patch converts the toolbar on the Z39.50 administration
page to to Bootstrap, replacing YUI button code with Bootstrap markup.

To test, view the Z39.50 administration page and confirm that
the "New Z39.50 server" button looks correct and works correctly.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Works and looks very well. No errors.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, no problems found.
Comment 4 Jared Camins-Esakov 2013-02-18 12:52:51 UTC
This patch has been pushed to master.
Comment 5 Jared Camins-Esakov 2013-03-13 13:02:01 UTC
This patch has been pushed to master.